Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPointR

    java.lang.Object
      igeo.IObject
          igeo.IPointR

All Implemented Interfaces:
  IParameter, ITransformable, IVecI, IVecOp

    public class IPointR

extends IObject
implements IVecI

Reference class of a point object to contain any instance of IVecI.

Field Summary
`IVecI` | `pos`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IPointR()`
`IPointR(double x, double y, double z)`
`IPointR(IPointR p)`
`IPointR(IServerI s)`
`IPointR(IServerI s, double x, double y, double z)`
`IPointR(IServerI s, IPointR p)`
`IPointR(IServerI s, IVecI v)`
`IPointR(IVecI v)`

Method Summary
`IPointR` | `add(double x, double y, double z)`
`IPointR` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointR` | `add(IVecI v)`
`IPointR` | `add(IVecI v, double f)` scale add
`IPointR` | `add(IVecI v, IDoubleI f)`
`double` | `angle(ISwitchE e, IVecI v)`
`double` | `angle(ISwitchE e, IVecI v, IVecI axis)`
`IDoubleI` | `angle(ISwitchR r, IVecI v)`
`IDoubleI` | `angle(ISwitchR r, IVecI v, IVecI axis)`
`double` | `angle(IVecI v)`
`double` | `angle(IVecI v, IVecI axis)`
`IVecI` | `bisect(IVecI v)`
`IPointR` | `clr(java.awt.Color c)`
`IPointR` | `clr(java.awt.Color c, int alpha)` to set color, with alpha value overwritten
`IPointR` | `clr(double dgray)`
`IPointR` | `clr(double dgray, double dalpha)`
`IPointR` | `clr(double dr, double dg, double db)`
`IPointR` | `clr(double dr, double dg, double db, double da)`
`IPointR` | `clr(float fgray)`
`IPointR` | `clr(float fgray, float falpha)`
`IPointR` | `clr(float fr, float fg, float fb)`
`IPointR` | `clr(float fr, float fg, float fb, float fa)`
`IPointR` | `clr(int gray)`
`IPointR` | `clr(int gray, int alpha)`
`IPointR` | `clr(int r, int g, int b)`
`IPointR` | `clr(int r, int g, int b, int a)`
`IPointR` | `cp()` cp() is alias of dup()
`IPointR` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IPointR` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointR` | `cp(IVecI v)`
`IGraphicObject` | `createGraphic(IGraphicMode m)`
`IVecI` | `cross(IVecI v)` cross product creates a new instance
`IVecI` | `diff(IVecI v)`
`double` | `dist(ISwitchE e, IVecI v)`
`IDoubleI` | `dist(ISwitchR r, IVecI v)`
`double` | `dist(IVecI v)`
`double` | `dist2(ISwitchE e, IVecI v)`
`IDoubleI` | `dist2(ISwitchR r, IVecI v)`
`double` | `dist2(IVecI v)` squared distance
`IPointR` | `div(double v)`
`IPointR` | `div(IDoubleI v)`
`double` | `dot(ISwitchE e, IVecI v)`
`IDoubleI` | `dot(ISwitchR r, IVecI v)`
`double` | `dot(IVecI v)`
`IPointR` | `dup()` duplicate object
`boolean` | `eq(ISwitchE e, IVecI v)`
`boolean` | `eq(ISwitchE e, IVecI v, double resolution)`
`IBoolI` | `eq(ISwitchR r, IVecI v)`
`IBoolI` | `eq(ISwitchR r, IVecI v, IDoubleI resolution)`
`boolean` | `eq(IVecI v)` whether location is same or not
`boolean` | `eq(IVecI v, double resolution)`
`boolean` | `eqX(ISwitchE e, IVecI v)`
`boolean` | `eqX(ISwitchE e, IVecI v, double resolution)`
`IBoolI` | `eqX(ISwitchR r, IVecI v)`
`IBoolI` | `eqX(ISwitchR r, IVecI v, IDoubleI resolution)`
`boolean` | `eqX(IVecI v)`
`boolean` | `eqX(IVecI v, double resolution)`
`boolean` | `eqY(ISwitchE e, IVecI v)`
`boolean` | `eqY(ISwitchE e, IVecI v, double resolution)`
`IBoolI` | `eqY(ISwitchR r, IVecI v)`
`IBoolI` | `eqY(ISwitchR r, IVecI v, IDoubleI resolution)`
`boolean` | `eqY(IVecI v)`
`boolean` | `eqY(IVecI v, double resolution)`
`boolean` | `eqZ(ISwitchE e, IVecI v)`
`boolean` | `eqZ(ISwitchE e, IVecI v, double resolution)`
`IBoolI` | `eqZ(ISwitchR r, IVecI v)`
`IBoolI` | `eqZ(ISwitchR r, IVecI v, IDoubleI resolution)`
`boolean` | `eqZ(IVecI v)`
`boolean` | `eqZ(IVecI v, double resolution)`
`IPointR` | `flip()` alias of neg
`IVec` | `get()`
`double` | `getSize()`
`IDoubleI` | `getX()`
`IDoubleI` | `getY()`
`IDoubleI` | `getZ()`
`IPointR` | `hide()`
`IPointR` | `hsb(double h, double s, double b)`
`IPointR` | `hsb(double h, double s, double b, double a)`
`IPointR` | `hsb(float h, float s, float b)`
`IPointR` | `hsb(float h, float s, float b, float a)`
`protected void` | `initPoint(IServerI s)`
`boolean` | `isValid()` checking x, y, and z is valid number (not Infinite, nor NaN).
`IPointR` | `layer(ILayer l)`
`double` | `len()`
`IPointR` | `len(double l)`
`IPointR` | `len(IDoubleI l)`
`double` | `len(ISwitchE e)`
`IDoubleI` | `len(ISwitchR r)`
`double` | `len2()` square of length
`double` | `len2(ISwitchE e)`
`IDoubleI` | `len2(ISwitchR r)`
`IVecI` | `mid(IVecI v)`
`IPointR` | `mirror(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPointR` | `mirror(IVecI center, IVecI planeDir)`
`IPointR` | `mul(double v)`
`IPointR` | `mul(IDoubleI v)`
`IPointR` | `mv(double x, double y, double z)` mv() is alias of add()
`IPointR` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointR` | `mv(IVecI v)`
`IPointR` | `name(java.lang.String nm)`
`IPointR` | `neg()`
`IVecI` | `nml(IVecI v)` alias of cross.
`IVecI` | `nml(IVecI pt1, IVecI pt2)` create normal vector from 3 points of self, pt1 and pt2
`IPointR` | `ref(IVecI planeDir)` reflect (mirror) 3 dimensionally to the other side of the plane
`IPointR` | `ref(IVecI center, IVecI planeDir)`
`IPointR` | `rev()` alias of neg()
`IPointR` | `rot(IVecI axis, double angle)`
`IPointR` | `rot(IVecI axis, IDoubleI angle)`
`IPointR` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`IPointR` | `rot(IVecI center, IVecI axis, double angle)`
`IPointR` | `rot(IVecI center, IVecI axis, IDoubleI angle)`
`IPointR` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`IPointR` | `scale(double f)`
`IPointR` | `scale(IDoubleI f)` alias of mul
`IPointR` | `scale(IVecI center, double f)`
`IPointR` | `scale(IVecI center, IDoubleI f)`
`IPointR` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IPointR` | `scale1d(IVecI axis, IDoubleI f)`
`IPointR` | `scale1d(IVecI center, IVecI axis, double f)`
`IPointR` | `scale1d(IVecI center, IVecI axis, IDoubleI f)`
`IPointR` | `set(double x, double y, double z)`
`IPointR` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointR` | `set(IVecI v)`
`IPointR` | `setColor(java.awt.Color c)`
`IPointR` | `setColor(java.awt.Color c, int alpha)`
`IPointR` | `setColor(double dgray)`
`IPointR` | `setColor(double dgray, double dalpha)`
`IPointR` | `setColor(double dr, double dg, double db)`
`IPointR` | `setColor(double dr, double dg, double db, double da)`
`IPointR` | `setColor(float fgray)`
`IPointR` | `setColor(float fgray, float falpha)`
`IPointR` | `setColor(float fr, float fg, float fb)`
`IPointR` | `setColor(float fr, float fg, float fb, float fa)`
`IPointR` | `setColor(int gray)`
`IPointR` | `setColor(int gray, int alpha)`
`IPointR` | `setColor(int r, int g, int b)`
`IPointR` | `setColor(int r, int g, int b, int a)`
`IPointR` | `setHSBColor(double h, double s, double b)`
`IPointR` | `setHSBColor(double h, double s, double b, double a)`
`IPointR` | `setHSBColor(float h, float s, float b)`
`IPointR` | `setHSBColor(float h, float s, float b, float a)`
`IPointR` | `setSize(double sz)` set size of dot in graphic
`IPointR` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IPointR` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`IPointR` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)`
`IPointR` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`IPointR` | `shearXY(double sxy, double syx)`
`IPointR` | `shearXY(IDoubleI sxy, IDoubleI syx)`
`IPointR` | `shearXY(IVecI center, double sxy, double syx)`
`IPointR` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)`
`IPointR` | `shearYZ(double syz, double szy)`
`IPointR` | `shearYZ(IDoubleI syz, IDoubleI szy)`
`IPointR` | `shearYZ(IVecI center, double syz, double szy)`
`IPointR` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)`
`IPointR` | `shearZX(double szx, double sxz)`
`IPointR` | `shearZX(IDoubleI szx, IDoubleI sxz)`
`IPointR` | `shearZX(IVecI center, double szx, double sxz)`
`IPointR` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)`
`IPointR` | `show()`
`double` | `size()`
`IPointR` | `size(double sz)`
`IPointR` | `sub(double x, double y, double z)`
`IPointR` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointR` | `sub(IVecI v)`
`IVecI` | `sum(IVecI... v)`
`IVecI` | `sum(IVecI v)`
`IVecI` | `sum(IVecI v2, double w2)`
`IVecI` | `sum(IVecI v2, double w1, double w2)` weighted sum.
`IVecI` | `sum(IVecI v2, IDoubleI w2)`
`IVecI` | `sum(IVecI v2, IDoubleI w1, IDoubleI w2)`
`IVec2I` | `to2d()`
`IVec4I` | `to4d()`
`IVec4I` | `to4d(double w)`
`IVec4I` | `to4d(IDoubleI w)`
`IPointR` | `transform(IMatrix3I mat)`
`IPointR` | `transform(IMatrix4I mat)`
`IPointR` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)`
`IPointR` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)`
`IPointR` | `translate(double x, double y, double z)` translate is alias of add()
`IPointR` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)`
`IPointR` | `translate(IVecI v)`
`IPointR` | `unit()`
`double` | `x()`
`double` | `y()`
`double` | `z()`

Methods inherited from class igeo.IObject
`addDynamics, attr, attr, clearDynamics, clearGraphics, clr, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, initGraphic, initObject, isVisible, layer, name, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pos

    public IVecI pos

Constructor Detail

### IPointR

    public IPointR()

### IPointR

    public IPointR(IVecI v)

### IPointR

    public IPointR(double x,
                   double y,
                   double z)

### IPointR

    public IPointR(IServerI s)

### IPointR

    public IPointR(IServerI s,
                   IVecI v)

### IPointR

    public IPointR(IServerI s,
                   double x,
                   double y,
                   double z)

### IPointR

    public IPointR(IPointR p)

### IPointR

    public IPointR(IServerI s,
                   IPointR p)

Method Detail

### initPoint

    protected void initPoint(IServerI s)

### createGraphic

    public IGraphicObject createGraphic(IGraphicMode m)

  Overrides:
    `createGraphic` in class `IObject`

### x

    public double x()

  Specified by:
    `x` in interface `IVecI`

### y

    public double y()

  Specified by:
    `y` in interface `IVecI`

### z

    public double z()

  Specified by:
    `z` in interface `IVecI`

### get

    public IVec get()

  Specified by:
    `get` in interface `IParameter`
  Specified by:
    `get` in interface `IVecI`
  Specified by:
    `get` in interface `IVecOp`

### dup

    public IPointR dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IObject`

### to2d

    public IVec2I to2d()

  Specified by:
    `to2d` in interface `IVecI`

### to4d

    public IVec4I to4d()

  Specified by:
    `to4d` in interface `IVecI`

### to4d

    public IVec4I to4d(double w)

  Specified by:
    `to4d` in interface `IVecI`

### to4d

    public IVec4I to4d(IDoubleI w)

  Specified by:
    `to4d` in interface `IVecI`

### getX

    public IDoubleI getX()

  Specified by:
    `getX` in interface `IVecI`

### getY

    public IDoubleI getY()

  Specified by:
    `getY` in interface `IVecI`

### getZ

    public IDoubleI getZ()

  Specified by:
    `getZ` in interface `IVecI`

### set

    public IPointR set(IVecI v)

  Specified by:
    `set` in interface `IVecI`

### set

    public IPointR set(double x,
                       double y,
                       double z)

  Specified by:
    `set` in interface `IVecI`

### set

    public IPointR set(IDoubleI x,
                       IDoubleI y,
                       IDoubleI z)

  Specified by:
    `set` in interface `IVecI`

### add

    public IPointR add(double x,
                       double y,
                       double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### add

    public IPointR add(IDoubleI x,
                       IDoubleI y,
                       IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### add

    public IPointR add(IVecI v)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### sub

    public IPointR sub(double x,
                       double y,
                       double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`

### sub

    public IPointR sub(IDoubleI x,
                       IDoubleI y,
                       IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`

### sub

    public IPointR sub(IVecI v)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`

### mul

    public IPointR mul(IDoubleI v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`

### mul

    public IPointR mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`

### div

    public IPointR div(IDoubleI v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`

### div

    public IPointR div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`

### neg

    public IPointR neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`

### rev

    public IPointR rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`

### flip

    public IPointR flip()

  Description copied from interface: `ITransformable`
  alias of neg

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`

### add

    public IPointR add(IVecI v,
                       double f)

  Description copied from interface: `ITransformable`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### add

    public IPointR add(IVecI v,
                       IDoubleI f)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`

### dot

    public double dot(IVecI v)

  Specified by:
    `dot` in interface `IVecI`

### dot

    public double dot(ISwitchE e,
                      IVecI v)

  Specified by:
    `dot` in interface `IVecI`

### dot

    public IDoubleI dot(ISwitchR r,
                        IVecI v)

  Specified by:
    `dot` in interface `IVecI`

### cross

    public IVecI cross(IVecI v)

  Description copied from interface: `IVecI`
  cross product creates a new instance

  Specified by:
    `cross` in interface `IVecI`

### len

    public double len()

  Specified by:
    `len` in interface `IVecI`

### len

    public double len(ISwitchE e)

  Specified by:
    `len` in interface `IVecI`

### len

    public IDoubleI len(ISwitchR r)

  Specified by:
    `len` in interface `IVecI`

### len2

    public double len2()

  Description copied from interface: `IVecI`
  square of length

  Specified by:
    `len2` in interface `IVecI`

### len2

    public double len2(ISwitchE e)

  Specified by:
    `len2` in interface `IVecI`

### len2

    public IDoubleI len2(ISwitchR r)

  Specified by:
    `len2` in interface `IVecI`

### len

    public IPointR len(IDoubleI l)

  Specified by:
    `len` in interface `IVecI`

### len

    public IPointR len(double l)

  Specified by:
    `len` in interface `IVecI`

### unit

    public IPointR unit()

  Specified by:
    `unit` in interface `IVecI`

### dist

    public double dist(IVecI v)

  Specified by:
    `dist` in interface `IVecI`

### dist

    public double dist(ISwitchE e,
                       IVecI v)

  Specified by:
    `dist` in interface `IVecI`

### dist

    public IDoubleI dist(ISwitchR r,
                         IVecI v)

  Specified by:
    `dist` in interface `IVecI`

### dist2

    public double dist2(IVecI v)

  Description copied from interface: `IVecI`
  squared distance

  Specified by:
    `dist2` in interface `IVecI`

### dist2

    public double dist2(ISwitchE e,
                        IVecI v)

  Specified by:
    `dist2` in interface `IVecI`

### dist2

    public IDoubleI dist2(ISwitchR r,
                          IVecI v)

  Specified by:
    `dist2` in interface `IVecI`

### eq

    public boolean eq(IVecI v)

  Description copied from interface: `IVecI`
  whether location is same or not

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(ISwitchE e,
                      IVecI v)

  Specified by:
    `eq` in interface `IVecI`

### eq

    public IBoolI eq(ISwitchR r,
                     IVecI v)

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(IVecI v,
                      double resolution)

  Specified by:
    `eq` in interface `IVecI`

### eq

    public boolean eq(ISwitchE e,
                      IVecI v,
                      double resolution)

  Specified by:
    `eq` in interface `IVecI`

### eq

    public IBoolI eq(ISwitchR r,
                     IVecI v,
                     IDoubleI resolution)

  Specified by:
    `eq` in interface `IVecI`

### eqX

    public boolean eqX(IVecI v)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(IVecI v)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(IVecI v)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(ISwitchE e,
                       IVecI v)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(ISwitchE e,
                       IVecI v)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(ISwitchE e,
                       IVecI v)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public IBoolI eqX(ISwitchR r,
                      IVecI v)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public IBoolI eqY(ISwitchR r,
                      IVecI v)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public IBoolI eqZ(ISwitchR r,
                      IVecI v)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(IVecI v,
                       double resolution)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(IVecI v,
                       double resolution)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(IVecI v,
                       double resolution)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public boolean eqX(ISwitchE e,
                       IVecI v,
                       double resolution)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public boolean eqY(ISwitchE e,
                       IVecI v,
                       double resolution)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public boolean eqZ(ISwitchE e,
                       IVecI v,
                       double resolution)

  Specified by:
    `eqZ` in interface `IVecI`

### eqX

    public IBoolI eqX(ISwitchR r,
                      IVecI v,
                      IDoubleI resolution)

  Specified by:
    `eqX` in interface `IVecI`

### eqY

    public IBoolI eqY(ISwitchR r,
                      IVecI v,
                      IDoubleI resolution)

  Specified by:
    `eqY` in interface `IVecI`

### eqZ

    public IBoolI eqZ(ISwitchR r,
                      IVecI v,
                      IDoubleI resolution)

  Specified by:
    `eqZ` in interface `IVecI`

### angle

    public double angle(IVecI v)

  Specified by:
    `angle` in interface `IVecI`
  Returns:
    angle between two vector from 0 to Pi

### angle

    public double angle(ISwitchE e,
                        IVecI v)

  Specified by:
    `angle` in interface `IVecI`

### angle

    public IDoubleI angle(ISwitchR r,
                          IVecI v)

  Specified by:
    `angle` in interface `IVecI`

### angle

    public double angle(IVecI v,
                        IVecI axis)

  Specified by:
    `angle` in interface `IVecI`
    `axis` - axis to determin sign of angle following right-handed screw rule.
  Returns:
    angle between two vector from -Pi to Pi. Sign follows right-handed screw rule along axis

### angle

    public double angle(ISwitchE e,
                        IVecI v,
                        IVecI axis)

  Specified by:
    `angle` in interface `IVecI`

### angle

    public IDoubleI angle(ISwitchR r,
                          IVecI v,
                          IVecI axis)

  Specified by:
    `angle` in interface `IVecI`

### rot

    public IPointR rot(IVecI axis,
                       IDoubleI angle)

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointR rot(IVecI axis,
                       double angle)

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointR rot(IVecI center,
                       IVecI axis,
                       double angle)

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointR rot(IVecI center,
                       IVecI axis,
                       IDoubleI angle)

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointR rot(IVecI axis,
                       IVecI destDir)

  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### rot

    public IPointR rot(IVecI center,
                       IVecI axis,
                       IVecI destPt)

  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`

### scale

    public IPointR scale(IDoubleI f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`

### scale

    public IPointR scale(double f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`

### scale

    public IPointR scale(IVecI center,
                         IDoubleI f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`

### scale

    public IPointR scale(IVecI center,
                         double f)

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`

### scale1d

    public IPointR scale1d(IVecI axis,
                           double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`

### scale1d

    public IPointR scale1d(IVecI axis,
                           IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`

### scale1d

    public IPointR scale1d(IVecI center,
                           IVecI axis,
                           double f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`

### scale1d

    public IPointR scale1d(IVecI center,
                           IVecI axis,
                           IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`

### ref

    public IPointR ref(IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`

### ref

    public IPointR ref(IVecI center,
                       IVecI planeDir)

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`

### mirror

    public IPointR mirror(IVecI planeDir)

  reflect (mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`

### mirror

    public IPointR mirror(IVecI center,
                          IVecI planeDir)

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`

### shear

    public IPointR shear(double sxy,
                         double syx,
                         double syz,
                         double szy,
                         double szx,
                         double sxz)

  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`

### shear

    public IPointR shear(IDoubleI sxy,
                         IDoubleI syx,
                         IDoubleI syz,
                         IDoubleI szy,
                         IDoubleI szx,
                         IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`

### shear

    public IPointR shear(IVecI center,
                         double sxy,
                         double syx,
                         double syz,
                         double szy,
                         double szx,
                         double sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`

### shear

    public IPointR shear(IVecI center,
                         IDoubleI sxy,
                         IDoubleI syx,
                         IDoubleI syz,
                         IDoubleI szy,
                         IDoubleI szx,
                         IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`

### shearXY

    public IPointR shearXY(double sxy,
                           double syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`

### shearXY

    public IPointR shearXY(IDoubleI sxy,
                           IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`

### shearXY

    public IPointR shearXY(IVecI center,
                           double sxy,
                           double syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`

### shearXY

    public IPointR shearXY(IVecI center,
                           IDoubleI sxy,
                           IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`

### shearYZ

    public IPointR shearYZ(double syz,
                           double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`

### shearYZ

    public IPointR shearYZ(IDoubleI syz,
                           IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`

### shearYZ

    public IPointR shearYZ(IVecI center,
                           double syz,
                           double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`

### shearYZ

    public IPointR shearYZ(IVecI center,
                           IDoubleI syz,
                           IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`

### shearZX

    public IPointR shearZX(double szx,
                           double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`

### shearZX

    public IPointR shearZX(IDoubleI szx,
                           IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`

### shearZX

    public IPointR shearZX(IVecI center,
                           double szx,
                           double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`

### shearZX

    public IPointR shearZX(IVecI center,
                           IDoubleI szx,
                           IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`

### translate

    public IPointR translate(double x,
                             double y,
                             double z)

  translate is alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`

### translate

    public IPointR translate(IDoubleI x,
                             IDoubleI y,
                             IDoubleI z)

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`

### translate

    public IPointR translate(IVecI v)

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`

### transform

    public IPointR transform(IMatrix3I mat)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`

### transform

    public IPointR transform(IMatrix4I mat)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`

### transform

    public IPointR transform(IVecI xvec,
                             IVecI yvec,
                             IVecI zvec)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`

### transform

    public IPointR transform(IVecI xvec,
                             IVecI yvec,
                             IVecI zvec,
                             IVecI translate)

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`

### mv

    public IPointR mv(double x,
                      double y,
                      double z)

  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`

### mv

    public IPointR mv(IDoubleI x,
                      IDoubleI y,
                      IDoubleI z)

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`

### mv

    public IPointR mv(IVecI v)

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`

### cp

    public IPointR cp()

  cp() is alias of dup()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IObject`

### cp

    public IPointR cp(double x,
                      double y,
                      double z)

  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`

### cp

    public IPointR cp(IDoubleI x,
                      IDoubleI y,
                      IDoubleI z)

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`

### cp

    public IPointR cp(IVecI v)

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`

### diff

    public IVecI diff(IVecI v)

  Specified by:
    `diff` in interface `IVecI`

### mid

    public IVecI mid(IVecI v)

  Specified by:
    `mid` in interface `IVecI`

### sum

    public IVecI sum(IVecI v)

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVecI sum(IVecI... v)

  Specified by:
    `sum` in interface `IVecI`

### bisect

    public IVecI bisect(IVecI v)

  Specified by:
    `bisect` in interface `IVecI`

### sum

    public IVecI sum(IVecI v2,
                     double w1,
                     double w2)

  weighted sum.

  Specified by:
    `sum` in interface `IVecI`
  Returns:
    IVecI

### sum

    public IVecI sum(IVecI v2,
                     double w2)

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVecI sum(IVecI v2,
                     IDoubleI w1,
                     IDoubleI w2)

  Specified by:
    `sum` in interface `IVecI`

### sum

    public IVecI sum(IVecI v2,
                     IDoubleI w2)

  Specified by:
    `sum` in interface `IVecI`

### nml

    public IVecI nml(IVecI v)

  alias of cross. (not unitized ... ?) returns IVecI.

  Specified by:
    `nml` in interface `IVecI`

### nml

    public IVecI nml(IVecI pt1,
                     IVecI pt2)

  create normal vector from 3 points of self, pt1 and pt2

  Specified by:
    `nml` in interface `IVecI`

### isValid

    public boolean isValid()

  checking x, y, and z is valid number (not Infinite, nor NaN).

  Specified by:
    `isValid` in interface `IVecI`
  Overrides:
    `isValid` in class `IObject`

### setSize

    public IPointR setSize(double sz)

  set size of dot in graphic

### size

    public IPointR size(double sz)

### getSize

    public double getSize()

### size

    public double size()

### name

    public IPointR name(java.lang.String nm)

  Overrides:
    `name` in class `IObject`

### layer

    public IPointR layer(ILayer l)

  Overrides:
    `layer` in class `IObject`

### hide

    public IPointR hide()

  Overrides:
    `hide` in class `IObject`

### show

    public IPointR show()

  Overrides:
    `show` in class `IObject`

### clr

    public IPointR clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(java.awt.Color c,
                       int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(int gray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(float fgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(double dgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(int gray,
                       int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(float fgray,
                       float falpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(double dgray,
                       double dalpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(int r,
                       int g,
                       int b)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(float fr,
                       float fg,
                       float fb)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(double dr,
                       double dg,
                       double db)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(int r,
                       int g,
                       int b,
                       int a)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(float fr,
                       float fg,
                       float fb,
                       float fa)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPointR clr(double dr,
                       double dg,
                       double db,
                       double da)

  Overrides:
    `clr` in class `IObject`

### hsb

    public IPointR hsb(float h,
                       float s,
                       float b,
                       float a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IPointR hsb(double h,
                       double s,
                       double b,
                       double a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IPointR hsb(float h,
                       float s,
                       float b)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IPointR hsb(double h,
                       double s,
                       double b)

  Overrides:
    `hsb` in class `IObject`

### setColor

    public IPointR setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(java.awt.Color c,
                            int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(int gray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(float fgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(double dgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(int gray,
                            int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(float fgray,
                            float falpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(double dgray,
                            double dalpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(int r,
                            int g,
                            int b)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(float fr,
                            float fg,
                            float fb)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(double dr,
                            double dg,
                            double db)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(int r,
                            int g,
                            int b,
                            int a)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(float fr,
                            float fg,
                            float fb,
                            float fa)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPointR setColor(double dr,
                            double dg,
                            double db,
                            double da)

  Overrides:
    `setColor` in class `IObject`

### setHSBColor

    public IPointR setHSBColor(float h,
                               float s,
                               float b,
                               float a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IPointR setHSBColor(double h,
                               double s,
                               double b,
                               double a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IPointR setHSBColor(float h,
                               float s,
                               float b)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IPointR setHSBColor(double h,
                               double s,
                               double b)

  Overrides:
    `setHSBColor` in class `IObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD